## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 26;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.3
%bcond_without check

%global services        google-guest-agent.service google-startup-scripts.service google-shutdown-scripts.service

# https://github.com/GoogleCloudPlatform/guest-agent
%global goipath         github.com/GoogleCloudPlatform/guest-agent
Version:                20230726.00
%global tag             %{version}

%gometa -f

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

Name:           google-guest-agent
Release:        %{autorelease} 
Summary:        Google Compute Engine guest environment

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

# Google cloud only has aarch64 + x86_64.
ExcludeArch:    ppc64le
ExcludeArch:    s390x

BuildRequires: systemd-rpm-macros

Requires: systemd

%description
This package contains scripts, configuration, and init files
for features specific to the Google Compute Engine cloud environment.

%gopkg

%prep
%goprep

# Skip wsfc_test.go: It's specific for Windows, and it assumes that network is available,
# so it fails in a network-jailed build environment.
rm google_guest_agent/wsfc_test.go


%generate_buildrequires
%go_generate_buildrequires


%build
for cmd in google_guest_agent google_metadata_script_runner; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vd                     %{buildroot}%{_sysconfdir}/default
install -m 0755 -vd                     %{buildroot}%{_unitdir}

install -m 0755 -vp %{gobuilddir}/bin/*             %{buildroot}%{_bindir}
install -m 0644 -vp instance_configs.cfg            %{buildroot}%{_sysconfdir}/default
install -m 0644 -vp google-guest-agent.service      %{buildroot}%{_unitdir}
install -m 0644 -vp google-startup-scripts.service  %{buildroot}%{_unitdir}
install -m 0644 -vp google-shutdown-scripts.service %{buildroot}%{_unitdir}

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%config(noreplace) %{_sysconfdir}/default/instance_configs.cfg
%{_bindir}/google_guest_agent
%{_bindir}/google_metadata_script_runner
%{_unitdir}/google-guest-agent.service
%{_unitdir}/google-startup-scripts.service
%{_unitdir}/google-shutdown-scripts.service

%post
%systemd_post %{services}

%preun
%systemd_preun %{services}

%postun
%systemd_postun_with_restart %{services}


%changelog
* Fri Jul 28 2023 Major Hayden <major@redhat.com> None-26
- Fix typo on ppc64le

* Fri Jul 28 2023 Major Hayden <major@redhat.com> None-25
- Disable ppc64/s390x arches

* Fri Jul 28 2023 Packit <hello@packit.dev> None-24
- [packit] 20230726.00 upstream release

* Tue Jul 25 2023 Major Hayden <major@redhat.com> None-23
- Disable koji auto build with packit

* Tue Jul 25 2023 Packit <hello@packit.dev> None-22
- [packit] 20230725.00 upstream release

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> None-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Major Hayden <major@redhat.com> None-20
- Update to 20230711.00 rhbz#2222161

* Wed Jul 12 2023 Major Hayden <major@redhat.com> None-19
- Add packit config 🤖

* Tue Jul 11 2023 Major Hayden <major@redhat.com> None-18
- Update to 20230707.00 rhbz#2221432

* Mon Jul 03 2023 Major Hayden <major@redhat.com> None-17
- Update to 20230628.00 rhbz#2218708

* Wed Jun 28 2023 Major Hayden <major@redhat.com> None-16
- Update to 20230626.00 rhbz#2218220

* Mon Jun 12 2023 Major Hayden <major@redhat.com> None-15
- Update to 20230601.00 rhbz#2211674

* Thu May 18 2023 Major Hayden <major@redhat.com> None-14
- Update to 20230517.00 rhbz#2208103

* Mon May 15 2023 Major Hayden <major@redhat.com> None-13
- Update to 20230510.00 rhbz#2198979

* Mon May 01 2023 Major Hayden <major@redhat.com> None-12
- Update to 20230426.00 rhbz#2190065

* Thu Apr 06 2023 Major Hayden <major@redhat.com> None-11
- Update to 20230403.00 rhbz#2183053

* Tue Mar 28 2023 Major Hayden <major@redhat.com> None-10
- Bump revision for rebuild rhbz#2178465

* Tue Feb 28 2023 Major Hayden <major@redhat.com> None-9
- Update to 20230221.00 rhbz#2172749

* Wed Feb 22 2023 Major Hayden <major@redhat.com> None-8
- Set SPDX license

* Mon Feb 13 2023 Major Hayden <major@redhat.com> None-7
- Update to 20230207.00 rhbz#2160637

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> None-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 14 2022 Major Hayden <major@redhat.com> None-5
- Update to 20221109.00 rhbz#2140412

* Wed Oct 26 2022 Major Hayden <major@redhat.com> None-4
- Update to 20221025.00 rhbz#2136314

* Wed Oct 12 2022 Major Hayden <major@redhat.com> None-3
- Update to 20220927.00 rhbz#2130931

* Thu Aug 25 2022 Major Hayden <major@redhat.com> None-2
- Update to 20220824.00 rhbz#2120895

* Thu Aug 18 2022 Major Hayden <major@redhat.com> None-1
- Update to 20220816.01 rhbz#2119456

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 20201217.02-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 20201217.02-5
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 20201217.02-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 20201217.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 20201217.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 17 2021 Eric Edens <ericedens@google.com> 20201217.02-1
- Initial import (#1925322).
